Bug 27836 - Document that CircControl syspref changes which library's calendar to use
Summary: Document that CircControl syspref changes which library's calendar to use
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Joonas Kylmälä
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-02 15:02 UTC by Joonas Kylmälä
Modified: 2021-05-24 16:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 27836: Document that CirControl changes which calendar is being used (1.50 KB, patch)
2021-03-02 15:13 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 27836: Document that CirControl changes which calendar is being used (1.55 KB, patch)
2021-04-08 15:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27836: Document that CirControl changes which calendar is being used (1.61 KB, patch)
2021-04-16 14:05 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Kylmälä 2021-03-02 15:02:53 UTC
Currently CircControl syspref changes also which library's calendar to use when calculating opening days for example for fines. This should be documented in the syspref (now it is not).
Comment 1 Joonas Kylmälä 2021-03-02 15:13:57 UTC
Created attachment 117528 [details] [review]
Bug 27836: Document that CirControl changes which calendar is being used

You can verify that which branch's Koha calendar is being used to
calculate fines by reading for example the code in
C4::Circulation::_CalculateAndUpdateFine() There you can see that
$control_branchcode variable is being passed to
C4::Overdues::CalcFine() and if you trace that you will see in the end
it decides which branch's calendar to use for calculating chargeable
overdue fine days.
Comment 2 Owen Leonard 2021-04-08 15:36:46 UTC
Created attachment 119334 [details] [review]
Bug 27836: Document that CirControl changes which calendar is being used

You can verify that which branch's Koha calendar is being used to
calculate fines by reading for example the code in
C4::Circulation::_CalculateAndUpdateFine() There you can see that
$control_branchcode variable is being passed to
C4::Overdues::CalcFine() and if you trace that you will see in the end
it decides which branch's calendar to use for calculating chargeable
overdue fine days.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2021-04-16 14:05:24 UTC
Created attachment 119745 [details] [review]
Bug 27836: Document that CirControl changes which calendar is being used

You can verify that which branch's Koha calendar is being used to
calculate fines by reading for example the code in
C4::Circulation::_CalculateAndUpdateFine() There you can see that
$control_branchcode variable is being passed to
C4::Overdues::CalcFine() and if you trace that you will see in the end
it decides which branch's calendar to use for calculating chargeable
overdue fine days.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Jonathan Druart 2021-04-16 14:31:28 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-29 09:43:51 UTC
Pushed to 20.11.x for 20.11.06
Comment 6 Andrew Fuerste-Henry 2021-05-24 15:27:05 UTC
Pushed to 20.05.x for 20.05.12
Comment 7 Victor Grousset/tuxayo 2021-05-24 16:57:14 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.